Module ij
Package ij.gui

# Class NewImage

java.lang.Object
ij.gui.NewImage

public class NewImage extends Object
New image dialog box plus several static utility methods for creating images.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CHECK_AVAILABLE_MEMORY`
`static final int`
`FILL_BLACK`
`static final int`
`FILL_NOISE`
`static final int`
`FILL_RAMP`
`static final int`
`FILL_RANDOM`
`static final int`
`FILL_WHITE`
`static final int`
`GRAY16`
`static final int`
`GRAY32`
`static final int`
`GRAY8`
`static final int`
`RGB`
`static final int`
`SIGNED_INT`

## Constructor Summary

Constructors
Constructor
Description
`NewImage()`

## Method Summary

Modifier and Type
Method
Description
`static ImagePlus`
`createByteImage(String title, int width, int height, int slices, int options)`
`static ImagePlus`
`createFloatImage(String title, int width, int height, int slices, int options)`
`static ImagePlus`
`createImage(String title, int width, int height, int nSlices, int bitDepth, int options)`
`static ImagePlus`
`createIntImage(String title, int width, int height, int slices, int options)`
`static ImagePlus`
`createRGBImage(String title, int width, int height, int slices, int options)`
`static ImagePlus`
`createShortImage(String title, int width, int height, int slices, int options)`
Creates an unsigned short image.
`static ImagePlus`
`createUnsignedShortImage(String title, int width, int height, int slices, int options)`
Deprecated.
Short images are always unsigned.
`static void`
`open(String title, int width, int height, int nSlices, int type, int options)`
`static void`
`savePreferences(Properties prefs)`
Called when ImageJ quits.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GRAY8

public static final int GRAY8

See Also:
  - Constant Field Values

### GRAY16

public static final int GRAY16

See Also:
  - Constant Field Values

### GRAY32

public static final int GRAY32

See Also:
  - Constant Field Values

### RGB

public static final int RGB

See Also:
  - Constant Field Values

### FILL_BLACK

public static final int FILL_BLACK

See Also:
  - Constant Field Values

### FILL_RAMP

public static final int FILL_RAMP

See Also:
  - Constant Field Values

### FILL_NOISE

public static final int FILL_NOISE

See Also:
  - Constant Field Values

### FILL_RANDOM

public static final int FILL_RANDOM

See Also:
  - Constant Field Values

### FILL_WHITE

public static final int FILL_WHITE

See Also:
  - Constant Field Values

### CHECK_AVAILABLE_MEMORY

public static final int CHECK_AVAILABLE_MEMORY

See Also:
  - Constant Field Values

### SIGNED_INT

public static final int SIGNED_INT

See Also:
  - Constant Field Values

## Constructor Details

### NewImage

public NewImage()

## Method Details

### createByteImage

public static ImagePlus createByteImage(String title, int width, int height, int slices, int options)

### createRGBImage

public static ImagePlus createRGBImage(String title, int width, int height, int slices, int options)

### createIntImage

public static ImagePlus createIntImage(String title, int width, int height, int slices, int options)

### createShortImage

public static ImagePlus createShortImage(String title, int width, int height, int slices, int options)
Creates an unsigned short image.

### createUnsignedShortImage

public static ImagePlus createUnsignedShortImage(String title, int width, int height, int slices, int options)
Deprecated.
Short images are always unsigned.

### createFloatImage

public static ImagePlus createFloatImage(String title, int width, int height, int slices, int options)

### open

public static void open(String title, int width, int height, int nSlices, int type, int options)

### createImage

public static ImagePlus createImage(String title, int width, int height, int nSlices, int bitDepth, int options)

### savePreferences

public static void savePreferences(Properties prefs)
Called when ImageJ quits.